Package be.fgov.ehealth.genericinsurability.core.v1

# Class SelfRefType

java.lang.Object
be.fgov.ehealth.genericinsurability.core.v1.SelfRefType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AbstractIdType`, `NihiiType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:35+02:00", comments="JAXB RI v4.0.5") public abstract class SelfRefType extends Object implements Serializable
Elements of this base type do not require any content, instead it is also possible to refer to another element with the same type and same name. The referencee should specify and id, and the referencer should specify a ref-attribute.

Java class for SelfRefType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SelfRefType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <attribute name="Ref" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelfRefType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  The ID of an element.
  `String`
  `getRef()`
  A XPoiter reference to another element with the same name and type.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setRef(String value)`
  Sets the value of the ref property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SelfRefType

    public SelfRefType()

- ## Method Details

  - ### getId

    public String getId()
    The ID of an element. Can be used by other elements with the same name and type to reference this element. An ID should only be unique inside a document, in this case the SOAP message. In other words, each request can reuse the same ID values.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getId()`

  - ### getRef

    public String getRef()
    A XPoiter reference to another element with the same name and type. When this is present, the content of the element should be empty. MyCareNet will substitute the this element by the element it references. The XPointer should result in a single element with the same type the this element. See ValueRefString type for more information about XPointer.
    Returns:
      possible object is `String`

  - ### setRef

    public void setRef(String value)
    Sets the value of the ref property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRef()`